com.tibbo.aggregate.common.expression.function.math

## Class ModeFunction

- java.lang.Object
- - com.tibbo.aggregate.common.expression.function.AbstractFunction
  - - com.tibbo.aggregate.common.expression.function.AbstractSingleValueCollectorFunction
    - - com.tibbo.aggregate.common.expression.function.math.ModeFunction

- All Implemented Interfaces:
    Function

      public class ModeFunction
      extends AbstractSingleValueCollectorFunction

- - ### Field Summary

    - ### Fields inherited from class com.tibbo.aggregate.common.expression.function.AbstractSingleValueCollectorFunction

      `collector`

    - ### Fields inherited from interface com.tibbo.aggregate.common.expression.Function

      `ABSOLUTE, EXPRESSION_EDITOR_OPTIONS, GROUP_COLOR_PROCESSING, GROUP_CONTEXT_RELATED, GROUP_DATA_BLOCK_PROCESSING, GROUP_DATA_TABLE_PROCESSING, GROUP_DATE_TIME_PROCESSING, GROUP_MATH, GROUP_NUMBER_PROCESSING, GROUP_OTHER, GROUP_STRING_PROCESSING, GROUP_SYSTEM, GROUP_TYPE_CONVERSION, HAS_RESOLVER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModeFunction()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.Object` | `collect(DataTable table, FieldFormat ff)`

    - ### Methods inherited from class com.tibbo.aggregate.common.expression.function.AbstractSingleValueCollectorFunction

      `compare, execute, toArray`

    - ### Methods inherited from class com.tibbo.aggregate.common.expression.function.AbstractFunction

      `checkAndGetNumericTypeField, checkNumericTypeField, checkParameters, checkParameterType, executeAttributed, executeTasks, getCategory, getDescription, getName, getParametersFootprint, getReturnValue, resolveContext, resolveContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModeFunction

          public ModeFunction()

  - ### Method Detail

    - #### collect

          protected java.lang.Object collect(DataTable table,
                                             FieldFormat ff)
                                      throws EvaluationException

      Overrides:
        `collect` in class `AbstractSingleValueCollectorFunction`
      Throws:
        `EvaluationException`